Subject: bug#70036: 30.0.50; Move file-truename to the C level

From: Felician Nemeth <[email-masked]>
Date: Wed, 27 Mar 2024 21:12:21 +0100

> I've been studying Eglots performance and have been noticing a couple
> of things that I find very interesting. It seems like `file-truename`
> is in the hot path

I think Eglot repeatedly calls file-truename with the same argument (or
with an argument from a small set of filenames.)

I wonder whether it would make sense for Eglot to cache the result of
file-truename.  Do you think caching would make Eglot faster than it
currently is?  (Would it still be worth moving file-truename to the C
level?)